package org.infinispan.persistence.migrator.jdbc;

import java.util.Map;
import java.util.Set;
import java.util.concurrent.TimeUnit;

import org.infinispan.AdvancedCache;
import org.infinispan.Cache;
import org.infinispan.commons.util.CloseableIteratorCollection;
import org.infinispan.commons.util.CloseableIteratorSet;
import org.infinispan.configuration.cache.Configuration;
import org.infinispan.lifecycle.ComponentStatus;
import org.infinispan.manager.EmbeddedCacheManager;
import org.infinispan.notifications.KeyFilter;
import org.infinispan.notifications.cachelistener.filter.CacheEventConverter;
import org.infinispan.notifications.cachelistener.filter.CacheEventFilter;
import org.infinispan.util.concurrent.NotifyingFuture;

public class SyntheticCache implements Cache<Object, Object> {
   
   private final String name;
   private final Configuration configuration;

   public SyntheticCache(String name, Configuration configuration) {
      this.name = name;
      this.configuration = configuration;
   }

   @Override
   public NotifyingFuture<Object> putAsync(Object key, Object value) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Object> putAsync(Object key, Object value, long lifespan, TimeUnit unit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Object> putAsync(Object key, Object value, long lifespan, TimeUnit lifespanUnit, long maxIdle,
         TimeUnit maxIdleUnit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Void> putAllAsync(Map<? extends Object, ? extends Object> data) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Void> putAllAsync(Map<? extends Object, ? extends Object> data, long lifespan, TimeUnit unit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Void> putAllAsync(Map<? extends Object, ? extends Object> data, long lifespan, TimeUnit lifespanUnit,
         long maxIdle, TimeUnit maxIdleUnit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Void> clearAsync() {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Object> putIfAbsentAsync(Object key, Object value) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Object> putIfAbsentAsync(Object key, Object value, long lifespan, TimeUnit unit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Object> putIfAbsentAsync(Object key, Object value, long lifespan, TimeUnit lifespanUnit, long maxIdle,
         TimeUnit maxIdleUnit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Object> removeAsync(Object key) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Boolean> removeAsync(Object key, Object value) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Object> replaceAsync(Object key, Object value) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Object> replaceAsync(Object key, Object value, long lifespan, TimeUnit unit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Object> replaceAsync(Object key, Object value, long lifespan, TimeUnit lifespanUnit, long maxIdle,
         TimeUnit maxIdleUnit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Boolean> replaceAsync(Object key, Object oldValue, Object newValue) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Boolean> replaceAsync(Object key, Object oldValue, Object newValue, long lifespan, TimeUnit unit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Boolean> replaceAsync(Object key, Object oldValue, Object newValue, long lifespan, TimeUnit lifespanUnit,
         long maxIdle, TimeUnit maxIdleUnit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public NotifyingFuture<Object> getAsync(Object key) {
      throw new UnsupportedOperationException();
   }

   @Override
   public String getName() {
      return name;
   }

   @Override
   public String getVersion() {
      throw new UnsupportedOperationException();
   }

   @Override
   public Object put(Object key, Object value) {
      throw new UnsupportedOperationException();
   }

   @Override
   public Object put(Object key, Object value, long lifespan, TimeUnit unit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public Object putIfAbsent(Object key, Object value, long lifespan, TimeUnit unit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public void putAll(Map<? extends Object, ? extends Object> map, long lifespan, TimeUnit unit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public Object replace(Object key, Object value, long lifespan, TimeUnit unit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public boolean replace(Object key, Object oldValue, Object value, long lifespan, TimeUnit unit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public Object put(Object key, Object value, long lifespan, TimeUnit lifespanUnit, long maxIdleTime, TimeUnit maxIdleTimeUnit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public Object putIfAbsent(Object key, Object value, long lifespan, TimeUnit lifespanUnit, long maxIdleTime, TimeUnit maxIdleTimeUnit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public void putAll(Map<? extends Object, ? extends Object> map, long lifespan, TimeUnit lifespanUnit, long maxIdleTime,
         TimeUnit maxIdleTimeUnit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public Object replace(Object key, Object value, long lifespan, TimeUnit lifespanUnit, long maxIdleTime, TimeUnit maxIdleTimeUnit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public boolean replace(Object key, Object oldValue, Object value, long lifespan, TimeUnit lifespanUnit, long maxIdleTime,
         TimeUnit maxIdleTimeUnit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public Object remove(Object key) {
      throw new UnsupportedOperationException();
   }

   @Override
   public Object putIfAbsent(Object key, Object value) {
      throw new UnsupportedOperationException();
   }

   @Override
   public boolean remove(Object key, Object value) {
      throw new UnsupportedOperationException();
   }

   @Override
   public Object replace(Object key, Object value) {
      throw new UnsupportedOperationException();
   }

   @Override
   public boolean replace(Object key, Object oldValue, Object newValue) {
      throw new UnsupportedOperationException();
   }

   @Override
   public void clear() {
      throw new UnsupportedOperationException();
   }

   @Override
   public boolean containsKey(Object key) {
      throw new UnsupportedOperationException();
   }

   @Override
   public boolean containsValue(Object value) {
      throw new UnsupportedOperationException();
   }

   @Override
   public Object get(Object key) {
      throw new UnsupportedOperationException();
   }

   @Override
   public boolean isEmpty() {
      throw new UnsupportedOperationException();
   }

   @Override
   public void putAll(Map<? extends Object, ? extends Object> m) {
      throw new UnsupportedOperationException();
   }

   @Override
   public void start() {
      throw new UnsupportedOperationException();
   }

   @Override
   public void stop() {
      throw new UnsupportedOperationException();
   }

   @Override
   public boolean startBatch() {
      throw new UnsupportedOperationException();
   }

   @Override
   public void endBatch(boolean successful) {
      throw new UnsupportedOperationException();
   }

   @Override
   public void addListener(Object listener, KeyFilter filter) {
      throw new UnsupportedOperationException();
   }

   @Override
   public <C> void addListener(Object listener, CacheEventFilter<? super Object, ? super Object> filter,
         CacheEventConverter<? super Object, ? super Object, C> converter) {
      throw new UnsupportedOperationException();
   }

   @Override
   public void addListener(Object listener) {
      throw new UnsupportedOperationException();
   }

   @Override
   public void removeListener(Object listener) {
      throw new UnsupportedOperationException();
   }

   @Override
   public Set<Object> getListeners() {
      throw new UnsupportedOperationException();
   }

   @Override
   public void putForExternalRead(Object key, Object value) {
      throw new UnsupportedOperationException();
   }

   @Override
   public void putForExternalRead(Object key, Object value, long lifespan, TimeUnit unit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public void putForExternalRead(Object key, Object value, long lifespan, TimeUnit lifespanUnit, long maxIdle,
         TimeUnit maxIdleUnit) {
      throw new UnsupportedOperationException();
   }

   @Override
   public void evict(Object key) {
      throw new UnsupportedOperationException();
   }

   @Override
   public Configuration getCacheConfiguration() {
      return configuration;
   }

   @Override
   public EmbeddedCacheManager getCacheManager() {
      throw new UnsupportedOperationException();
   }

   @Override
   public AdvancedCache<Object, Object> getAdvancedCache() {
      throw new UnsupportedOperationException();
   }

   @Override
   public ComponentStatus getStatus() {
      throw new UnsupportedOperationException();
   }

   @Override
   public int size() {
      return 0;
   }

   @Override
   public CloseableIteratorSet<Object> keySet() {
      throw new UnsupportedOperationException();
   }

   @Override
   public CloseableIteratorCollection<Object> values() {
      throw new UnsupportedOperationException();
   }

   @Override
   public CloseableIteratorSet<java.util.Map.Entry<Object, Object>> entrySet() {
      throw new UnsupportedOperationException();
   }

}
