package org.infinispan.query.dsl;

import org.infinispan.query.dsl.impl.ParameterExpression;
import org.infinispan.query.dsl.impl.PathExpression;

/**
 * @author anistor@redhat.com
 * @since 8.0
 */
public abstract class Expression {

   public static Expression param(String paramName) {
      return new ParameterExpression(paramName);
   }

   public static Expression property(String attributePath) {
      return new PathExpression(null, attributePath);
   }

   public static Expression count(String attributePath) {
      return new PathExpression(PathExpression.AggregationType.COUNT, attributePath);
   }

   public static Expression sum(String attributePath) {
      return new PathExpression(PathExpression.AggregationType.SUM, attributePath);
   }

   public static Expression avg(String attributePath) {
      return new PathExpression(PathExpression.AggregationType.AVG, attributePath);
   }

   public static Expression min(String attributePath) {
      return new PathExpression(PathExpression.AggregationType.MIN, attributePath);
   }

   public static Expression max(String attributePath) {
      return new PathExpression(PathExpression.AggregationType.MAX, attributePath);
   }
}
